cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ralph Goers <Ralph.Go...@dslextreme.com>
Subject Re: Cocoon 2.1.7 in Weblogic 8.1.4
Date Tue, 21 Jun 2005 21:56:00 GMT
You can try adding Cocoon's version of Rhino to the classpath before 
weblogic.jar.  However, this may very well cause weblogic itself to have 
errors, depending on what you are doing. I only experienced problems 
when I was trying to use weblogic portal (8.1.2).

As Tony suggested, you will probably need to use Javaflow instead.

Ralph

Irv Salisbury wrote:

>Just some more notes on this.  It all seems to be happening at the
>rhino level.  The standard off the shelf cocoon works fine until we do
>anything in flowscript (with our without forms)  We get two main
>errors:
>
>1. java.lang.ClassCastException: inv1
>2. function FOM_WebContinuation() {
>	[native code]
>}
> is not a function.
>
>This has become increasingly frustrating.
>
>Thanks,
>
>Irv
>
>On 6/21/05, Irv Salisbury <irv.salisbury@gmail.com> wrote:
>  
>
>>We already asked this on the users list, but we are having the worst
>>time getting Cocoon 2.1.7 running in Weblogic 8.1.4.  We have only
>>tried on Windows XP at this point.
>>
>>We are getting ClassCastExceptions in xalan at the moment.  We have
>>tried various combinations of the ParanoidClassLoader,
>>init-classloader param, moving around xalan and xerces jar files to
>>endorsed, etc.  We have also set the Weblogic parameter
>>prefer-web-inf-classes to true.
>>
>>So, has anyone successfully run Cocoon 2.1.7 in Weblogic 8.1.4?
>>
>>If so, any pointers or help would be greatly appreciated.
>>
>>Irv
>>
>>    
>>


Mime
View raw message